<!--
// © University of Southampton IT Innovation Centre, 2018
//
// Copyright in this software belongs to University of Southampton
// IT Innovation Centre of Gamma House, Enterprise Road, 
// Chilworth Science Park, Southampton, SO16 7NS, UK.
//
// This software may not be used, sold, licensed, transferred, copied
// or reproduced in whole or in part in any manner or form or in or
// on any media by any person other than in accordance with the terms
// of the Licence Agreement supplied with the software, or otherwise
// without the prior written consent of the copyright owners.
//
// This software is distributed WITHOUT ANY WARRANTY, without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE, except where stated in the Licence Agreement supplied with
// the software.
//
//      Created By :            Rowan Powell
//      Created Date :          05-01-2018
//      Created for Project :   FLAME
-->

# Test Scenarios

|author|
|------|
|Rowan Powell|


### Useful InfluxDB commands 

| Action | Command example |
| ------ | --------------- |
| get top 3 entries from a database testDB | ```influx -database='testDB' -execute='SELECT * FROM response LIMIT 3'``` |
| show all metrics for a database | ```influx -execute 'SHOW MEASUREMENTS ON testDB'``` |
| show all databases | ```inflix -execute 'SHOW DATABASES'``` |

### Using Chronograf

open ```http://localhost:8888/sources/1/chronograf/data-explorer```
user: telegraf
password: metricsmetricsmetrics

### Scenario 1 - Linear user load increase


Simulating data from during normal usage (Users already present) and linearly increasing users

* Starting at 20 users and scaling up to 40 over the time period
* X% users using HD v Y% using SD
* A% using resource scream, B% using LegoStarWars

| Data | Database |
| ---- | -------- |
| Client requests | request |
| Server responses | response |
| server VM network performance | network |
| mpeg_dash reports | mpegdash_service |
| server configuration events | host_resources |
| VM state events | vm_res_alloc |


This table is written in shorthand
* ~: proportional to
* #: number of

| Measurement | Field | Relationships |
| ----------- | ----- | ------------- |
| response | cpuUsage | ~#clients |
| SF | avg_response_time | ~#requests and ~quality |
| SF | peak_repsonse_time | ~#requests and ~quality |


### Scenario 2  - Two Dash Servers

Simon has created a spec for this here: https://gitlab.it-innovation.soton.ac.uk/mjb/flame-clmc/blob/integration/docs/CLMC%20monitoring%20specification%20for%20a%20basic%20scenario.md